import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-person/aids/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-person/aids/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-person/aids/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-person/aids/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-person/aids/submit',
    method: 'post',
    data: row
  })
}

export const addAids = (list) => {
  return request({
    url: '/api/cyzh-person/aids/addAids',
    method: 'post',
    data: list
  })
}

export const generatedetail = (id) => {
  return request({
    url: '/api/cyzh-person/aids/generatedetail',
    method: 'get',
    params: {
      id
    }
  })
}
